package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.ListRentInCompareDto;
import com.example.pojo.vo.ListRentInCompareVo;
import com.example.service.house.HouseContractCompareService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;

@Tag(name = "房屋租入")
@Slf4j
@RequestMapping("/house-car/house/dist/api/WzHouseContractCompare")
@RestController
public class HouseContractCompareController {
    private final HouseContractCompareService houseContractCompareService;

    public HouseContractCompareController(HouseContractCompareService houseContractCompareService) {
        this.houseContractCompareService = houseContractCompareService;
    }

    @Operation(summary = "查询租入单价与平均单价比较")
    @PostMapping("/list")
    public Rsp<PageVo<ListRentInCompareVo>> listRentInCompare(@Valid @RequestBody ListRentInCompareDto dto) {
        return houseContractCompareService.listRentInCompare(dto);
    }

    @Operation(summary = "租入单价与平均单价比较导出")
    @GetMapping("/listRentInCompareExport")
    public void listRentInCompareExport(@Valid ListRentInCompareDto.ListRentInCompareMapDTO dto,
                                        HttpServletResponse response) {
        houseContractCompareService.listRentInCompareExport(dto, response);
    }
}
