package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.ListRentInContractDto;
import com.example.pojo.vo.ListRentInContractVo;
import com.example.service.house.HouseContractInService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;

@Tag(name = "房屋租入")
@Slf4j
@RequestMapping("/house-car/house/dist/api/WzHouseContractIn")
@RestController
public class HouseContractInController {
    private final HouseContractInService houseContractInService;

    public HouseContractInController(HouseContractInService houseContractInService) {
        this.houseContractInService = houseContractInService;
    }

    @Operation(summary = "查询租入合同记录")
    @PostMapping("/list")
    public Rsp<PageVo<ListRentInContractVo>> listRentInContract(@Valid @RequestBody ListRentInContractDto dto) {
        return houseContractInService.listRentInContract(dto);
    }

    @Operation(summary = "租入合同记录导出")
    @GetMapping("/listRentInContractExport")
    public void listRentInContractExport(@Valid ListRentInContractDto.ListRentInContractMapDTO dto,
                                         HttpServletResponse response) {
        houseContractInService.listRentInContractExport(dto, response);
    }
}
