package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.ListRentInTopDto;
import com.example.pojo.vo.ListRentInTopVo;
import com.example.service.house.HouseContractTopService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;

@Tag(name = "房屋租入")
@Slf4j
@RequestMapping("/house-car/house/dist/api/WzHouseContractTop")
@RestController
public class HouseContractTopController {
    private final HouseContractTopService houseContractTopService;

    public HouseContractTopController(HouseContractTopService houseContractTopService) {
        this.houseContractTopService = houseContractTopService;
    }

    @Operation(summary = "查询租入房屋单价前10名")
    @PostMapping("/list")
    public Rsp<PageVo<ListRentInTopVo>> listRentInTop(@Valid @RequestBody ListRentInTopDto dto) {
        return houseContractTopService.listRentInTop(dto);
    }

    @Operation(summary = "租入房屋单价前10名导出")
    @GetMapping("/listRentInTopExport")
    public void listRentInTopExport(@Valid ListRentInTopDto.ListRentInTopMapDTO dto, HttpServletResponse response) {
        houseContractTopService.listRentInTopExport(dto, response);
    }
}
