package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.ScoreRankingDto;
import com.example.pojo.vo.ScoreRankingVo;
import com.example.service.house.HouseScoreRankingService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;


@Tag(name = "综合评价")
@Slf4j
@RequestMapping("/house-car/house/dist/api/wzScoreRanking")
@RestController
@RequiredArgsConstructor
public class HouseScoreRankingController {
    private final HouseScoreRankingService houseScoreRankingService;

    @Operation(summary = "查询综合评价")
    @PostMapping("/list")
    public Rsp<PageVo<ScoreRankingVo>> scoreRanking(@Valid @RequestBody ScoreRankingDto dto) {
        return houseScoreRankingService.scoreRanking(dto);
    }

    @Operation(summary = "综合评价导出")
    @GetMapping("/excel")
    public void scoreRankingExport(ScoreRankingDto.ScoreRankingMapDTO dto, HttpServletResponse response) {
        houseScoreRankingService.scoreRankingExport(dto, response);
    }
}
