package com.example.controller.house;

import com.example.common.PageVo;
import com.example.common.Rsp;
import com.example.pojo.dto.RentInUseStatDto;
import com.example.pojo.vo.RentInUseStatVo;
import com.example.service.house.HouseUseService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import javax.validation.Valid;


@Tag(name = "房屋租入")
@Slf4j
@RequestMapping("/house-car/house/dist/api/WzHouseUse")
@RestController
public class HouseUseController {
    private final HouseUseService houseUseService;

    public HouseUseController(HouseUseService houseUseService) {
        this.houseUseService = houseUseService;
    }

    @Operation(summary = "查询租入用途管理")
    @PostMapping("/echartList")
    public Rsp<PageVo<RentInUseStatVo>> rentInUseStat(@Valid @RequestBody RentInUseStatDto dto) {
        return houseUseService.rentInUseStat(dto);
    }

    @Operation(summary = "租入用途管理导出")
    @GetMapping("/rentInUseStatExport")
    public void rentInUseStatExport(@Valid RentInUseStatDto.RentInUseStatMapDTO dto, HttpServletResponse response) {
        houseUseService.rentInUseStatExport(dto, response);
    }
}
