package com.example.dao.house;

import com.example.pojo.bo.ScoreRankingBo;
import com.example.pojo.dto.ScoreRankingDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface HouseScoreRankingDao {
    @Select("""
select max(year_month) from house.building_month
""")
    Integer getLatestYearMonth();

    @Select("""
with
t21 as (
select
    case
        when (coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) = 0 then 0
        else round(sum(building_area_idle) / (coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)), 4)
    end as xzl,
    case
        when (coalesce(sum(building_area_self_use), 0) + coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) = 0 then 0
        else round((coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) / (coalesce(sum(building_area_self_use), 0) + coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)), 4)
    end as kczl
from
    house.building_month
where
    year_month = #{dto.statisticalMonth}
),
t51 as (
select
    count(1) as wylxwx
from
    house.building_repair_month
where
    repair_type = '零星维修'
    and final_cost > 10000
    and year_month = #{dto.statisticalMonth}
    and jz_jzid is not null
    and jz_jzid != ''
    and area_no is not null
    and area_no != ''
),
t61 as (
select
    distinct area_no,
    jz_jzid,
    form_no
from
    house.building_repair_month
where
    year_month = #{dto.statisticalMonth}
    and jz_jzid is not null
    and jz_jzid != ''
    and area_no is not null
    and area_no != ''
),
t62 as (
select
    area_no,
    jz_jzid,
    count(1)
from
    t61
group by
    area_no,
    jz_jzid
having
    count(1) > 1
),
t63 as (
select
    count(1) as gpwxjz
from
    t62
),
t71 as (
select
    coalesce(t21.xzl, 0) as xzl,
    coalesce(t21.kczl, 0) as kczl,
    0 as czqfl,
    0 as czdj,
    coalesce(t51.wylxwx, 0) as wylxwx,
    coalesce(t63.gpwxjz, 0) as gpwxjz
from
    t21
cross join t51
cross join t63
)
select
    *
from
    t71
""")
    ScoreRankingBo firstScore(@Param("dto") ScoreRankingDto.ScoreRankingMapDTO dto);

    @Select("""
with
t101 as (
select
    *
from
    common.organization
where
    grade = 1
    and unhide = 1
order by
    order_num
),
t201 as (
select
    area_no,
    case
        when (coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) = 0 then 0
        else round(sum(building_area_idle) / (coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)), 4)
    end as xzl,
    case
        when (coalesce(sum(building_area_self_use), 0) + coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) = 0 then 0
        else round((coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)) / (coalesce(sum(building_area_self_use), 0) + coalesce(sum(building_area_rent), 0) + coalesce(sum(building_area_idle), 0)), 4)
    end as kczl
from
    house.building_month
where
    year_month = #{dto.statisticalMonth}
group by
    area_no
),
t501 as (
select
    area_no,
    count(1) as wylxwx
from
    house.building_repair_month
where
    repair_type = '零星维修'
    and final_cost > 10000
    and year_month = #{dto.statisticalMonth}
    and jz_jzid is not null
    and jz_jzid != ''
    and area_no is not null
    and area_no != ''
group by
    area_no
),
t601 as (
select
    distinct area_no,
    jz_jzid,
    form_no
from
    house.building_repair_month
where
    year_month = #{dto.statisticalMonth}
    and jz_jzid is not null
    and jz_jzid != ''
    and area_no is not null
    and area_no != ''
),
t602 as (
select
    area_no,
    jz_jzid,
    count(1)
from
    t601
group by
    area_no,
    jz_jzid
having
    count(1) > 1
),
t603 as (
select
    area_no,
    count(1) as gpwxjz
from
    t602
group by
    area_no
),
t701 as (
select
    t101.id as area_no,
    t101.name as area_name,
    t101.order_num,
    coalesce(t201.xzl, 0) as xzl,
    coalesce(t201.kczl, 0) as kczl,
    0 as czqfl,
    0 as czdj,
    coalesce(t501.wylxwx, 0) as wylxwx,
    coalesce(t603.gpwxjz, 0) as gpwxjz
from
    t101
left join t201 on
    t101.id = t201.area_no
left join t501 on
    t101.id = t501.area_no
left join t603 on
    t101.id = t603.area_no
order by
    t101.order_num
),
t702 as (
select
    round(avg(xzl), 4) as xzl,
    round(avg(kczl), 4) as kczl,
    round(avg(czqfl), 4) as czqfl,
    round(avg(czdj), 2) as czdj,
    round(avg(wylxwx)) as wylxwx,
    round(avg(gpwxjz)) as gpwxjz
from
    t701
),
t703 as (
select
    t701.area_no,
    t701.area_name,
    case
        when t702.xzl = 0 then 0
        when t701.xzl < t702.xzl then round(t701.xzl / t702.xzl, 2)
        else -(round(t701.xzl / t702.xzl, 2))
    end as xzl,
    case
        when t702.kczl = 0 then 0
        when t701.kczl > t702.kczl then round(t701.kczl / t702.kczl, 2)
        else -(round(t701.kczl / t702.kczl, 2))
    end as kczl,
    case
        when t702.czqfl = 0 then 0
        when t701.czqfl < t702.czqfl then round(t701.czqfl / t702.czqfl, 2)
        else -(round(t701.czqfl / t702.czqfl, 2))
    end as czqfl,
    case
        when t702.czdj = 0 then 0
        when t701.czdj > t702.czdj then round(t701.czdj / t702.czdj, 2)
        else -(round(t701.czdj / t702.czdj, 2))
    end as czdj,
    case
        when t702.wylxwx = 0 then 0
        when t701.wylxwx < t702.wylxwx then round(t701.wylxwx / t702.wylxwx, 2)
        else -(round(t701.wylxwx / t702.wylxwx, 2))
    end as wylxwx,
    case
        when t702.gpwxjz = 0 then 0
        when t701.gpwxjz < t702.gpwxjz then round(t701.gpwxjz / t702.gpwxjz, 2)
        else -(round(t701.gpwxjz / t702.gpwxjz, 2))
    end as gpwxjz
from
    t701
cross join t702
),
t704 as (
select
    t701.*,
    (t703.xzl + t703.kczl + t703.czqfl + t703.czdj + t703.wylxwx + t703.gpwxjz) as zf
from
    t701
join t703 on
    t701.area_no = t703.area_no
),
t705 as (
select
    t704.*,
    row_number() over (
    order by zf desc) as pm
from
    t704
)
select
    *
from
    t705
order by
    order_num
""")
    List<ScoreRankingBo> secondScore(@Param("dto") ScoreRankingDto.ScoreRankingMapDTO dto);
}
