package com.example.enums;

public enum ListRentInContractOrderEnum {
    /**
     * 导入时间
     */
    importTime("import_time"),
    /**
     * 房屋所有权人属性
     */
    ownershipOTheProperty("owner_type"),
    /**
     * 租入房屋名称
     */
    theNameOfTheRentedProperty("house_name"),
    /**
     * 租入形式
     */
    formOfLease("rent_type"),
    /**
     * 标准地址一级
     */
    standardAddressLevel_1("first_address"),
    /**
     * 标准地址二级
     */
    standardAddressLevel_2("second_address"),
    /**
     * 标准地址三级
     */
    standardAddressLevel_3("third_address"),
    /**
     * 街路村门牌号
     */
    houseNumber("fourth_address"),
    /**
     * 城市区域
     */
    cityArea("city_region"),
    /**
     * 地段
     */
    district("area_sector"),
    /**
     * 经度
     */
    buildingLongitude("lng"),
    /**
     * 纬度
     */
    buildingDimension("lat"),
    /**
     * 租入建筑面积
     */
    rentalBuildingArea("building_area"),
    /**
     * 租入使用面积
     */
    rentalUsableArea("usable_area"),
    /**
     * 投资主体
     */
    investmentEntities("investor"),
    /**
     * 使用单位层级
     */
    useTheUnitsHierarchy("unit_level"),
    /**
     * 使用单位隶属的省级公司
     */
    province("first_unit"),
    /**
     * 使用单位隶属的地市级公司
     */
    city("area_name"),
    /**
     * 使用单位隶属的区县级公司
     */
    county("city_name"),
    /**
     * 使用专业线
     */
    useTheProLine("field"),
    /**
     * 租入实际用途
     */
    leaseInPracticalUse("use_type"),
    /**
     * 租入其他用途说明
     */
    descriptionOfOtherUsesOfTheLease("use_description"),
    /**
     * 自用建筑面积
     */
    selfUseBuildingArea("building_area_self_use"),
    /**
     * 转租建筑面积
     */
    subleaseBuildingArea("building_area_sublet"),
    /**
     * 首次租用时间
     */
    firstHireTime("first_rent_date"),
    /**
     * 联系电话
     */
    contactNumber("phone"),
    /**
     * 合同编号
     */
    contractNumber("contract_no"),
    /**
     * 合同名称
     */
    contractName("contract_name"),
    /**
     * 合同类型
     */
    contractType("contract_type"),
    /**
     * 签订时间
     */
    signTime("sign_date"),
    /**
     * 我方签约主体
     */
    ourContractingEntity("lessee"),
    /**
     * 出租方名称
     */
    lessorName("lessor"),
    /**
     * 合同总金额
     */
    contractAmountIncludingTax("gross_amount"),
    /**
     * 增值税金额
     */
    valueAddedTaxAmount("vat"),
    /**
     * 租入开始时间
     */
    effectiveTimeOfContract("rent_start_date"),
    /**
     * 租入终止时间
     */
    terminationTimeOfContract("rent_end_date"),
    /**
     * 承办部门
     */
    undertakingDepartment("undertaking_department"),
    ;

    private final String columnName;

    ListRentInContractOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
