package com.example.enums;

public enum ListRentInTopOrderEnum {
    /**
     * 使用单位隶属的省级公司
     */
    province("first_unit"),
    /**
     * 使用单位隶属的地市级公司
     */
    city("area_name"),
    /**
     * 使用单位隶属的区县级公司
     */
    county("city_name"),
    /**
     * 使用专业线
     */
    useTheProLine("field"),
    /**
     * 租入实际用途
     */
    leaseInPracticalUse("use_type"),
    /**
     * 租入其他用途说明
     */
    descriptionOfOtherUsesOfTheLease("use_description"),
    /**
     * 城市区域
     */
    cityArea("city_region"),
    /**
     * 地段
     */
    district("area_sector"),
    /**
     * 合同总金额
     */
    contractAmountIncludingTax("gross_amount"),
    /**
     * 租入建筑面积
     */
    rentalBuildingArea("building_area"),
    /**
     * 租期
     */
    hireTime("rent_months"),
    /**
     * 每平米月租金
     */
    totalMonthlyRent("unit_price2"),
    /**
     * 合同编号
     */
    contractNumber("contract_no"),
    /**
     * 合同名称
     */
    contractName("contract_name"),
    ;

    private final String columnName;

    ListRentInTopOrderEnum(String columnName) {
        this.columnName = columnName;
    }

    public String getColumnName() {
        return columnName;
    }
}
