package com.example.pojo.po.house;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class RentInMonthPo {
    /**
     * 数据年月
     */
    private Integer yearMonth;

    /**
     * 序号
     */
    private Integer serialNo;

    /**
     * 导入时间
     */
    private LocalDateTime importTime;

    /**
     * 房屋所有权人属性
     */
    private String ownerType;

    /**
     * 租入房屋名称
     */
    private String houseName;

    /**
     * 租入形式
     */
    private String rentType;

    /**
     * 标准地址(一级)
     */
    private String firstAddress;

    /**
     * 标准地址(二级)
     */
    private String secondAddress;

    /**
     * 标准地址(三级)
     */
    private String thirdAddress;

    /**
     * 街/路/村门牌号
     */
    private String fourthAddress;

    /**
     * 城市区域
     */
    private String cityRegion;

    /**
     * 地段
     */
    private String areaSector;

    /**
     * 地址经度坐标
     */
    private BigDecimal lng;

    /**
     * 地址纬度坐标
     */
    private BigDecimal lat;

    /**
     * 租入建筑面积(平米)
     */
    private BigDecimal buildingArea;

    /**
     * 租入使用面积(平米)
     */
    private BigDecimal usableArea;

    /**
     * 投资主体
     */
    private String investor;

    /**
     * 使用单位层级
     */
    private String unitLevel;

    /**
     * 使用单位隶属的省级公司
     */
    private String firstUnit;

    /**
     * 使用单位隶属的地市级公司
     */
    private String secondUnit;

    /**
     * 使用单位隶属的区县级公司
     */
    private String thirdUnit;

    /**
     * 使用专业线
     */
    private String field;

    /**
     * 租入实际用途
     */
    private String useType;

    /**
     * 租入其他用途说明
     */
    private String useDescription;

    /**
     * 自用建筑面积(平米)
     */
    private BigDecimal buildingAreaSelfUse;

    /**
     * 转租建筑面积(平米)
     */
    private BigDecimal buildingAreaSublet;

    /**
     * 首次租用时间
     */
    private String firstRentDate;

    /**
     * 合同编号
     */
    private String contractNo;

    /**
     * 合同名称
     */
    private String contractName;

    /**
     * 合同类型
     */
    private String contractType;

    /**
     * 签订时间
     */
    private LocalDate signDate;

    /**
     * 我方签约主体
     */
    private String lessee;

    /**
     * 出租方名称
     */
    private String lessor;

    /**
     * 合同总金额(含税)(元)
     */
    private BigDecimal grossAmount;

    /**
     * 增值税金额(元)
     */
    private BigDecimal vat;

    /**
     * 租入开始时间(合同生效时间)
     */
    private LocalDate rentStartDate;

    /**
     * 租入终止时间(合同终止时间)
     */
    private LocalDate rentEndDate;

    /**
     * 承办部门
     */
    private String undertakingDepartment;

    /**
     * 承办人
     */
    private String undertaker;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 累计计提金额(元)
     */
    private BigDecimal amountAccrued;

    /**
     * 费用报账总金额(元)
     */
    private BigDecimal amountReimbursement;

    /**
     * 合同性质
     */
    private String contractNature;

    /**
     * 合同状态
     */
    private String contractStatus;

    /**
     * 二级组织机构编码
     */
    private String areaNo;

    /**
     * 二级组织机构名称
     */
    private String areaName;

    /**
     * 三级组织机构编码
     */
    private String cityNo;

    /**
     * 三级组织机构名称
     */
    private String cityName;

    /**
     * 租期月数
     */
    private Integer rentMonths;

    /**
     * 月含税合同额
     */
    private BigDecimal grossAmountMonth;

    /**
     * 每平米单价
     */
    private BigDecimal unitPrice;
    /**
     * 每平米单价，租期年/12
     */
    private BigDecimal unitPrice2;

    /**
     * 租期年
     */
    private BigDecimal rentYears;
}
