package com.example.pojo.po.house;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class RentInUseStatPo {
    /**
     * 二级组织机构编码
     */
    private String areaNo;
    /**
     * 二级组织机构名称
     */
    private String areaName;
    /**
     * 三级组织机构编码
     */
    private String cityNo;
    /**
     * 三级组织机构名称
     */
    private String cityName;
    /**
     * 营业
     */
    private Integer yy;
    /**
     * 办公
     */
    private Integer bg;
    /**
     * 通信机房
     */
    private Integer tx;
    /**
     * 其他用途
     */
    private Integer qt;
    /**
     * 总计
     */
    private Integer zj;
    /**
     * 子列表
     */
    List<RentInUseStatPo> children;

    public RentInUseStatPo() {
        this.areaNo = "";
        this.areaName = "";
        this.cityNo = "";
        this.cityName = "";
        this.yy = 0;
        this.bg = 0;
        this.tx = 0;
        this.qt = 0;
        this.zj = 0;
        this.children = new ArrayList<>();
    }

    public RentInUseStatPo(String areaNo, String areaName) {
        this.areaNo = areaNo;
        this.areaName = areaName;
        this.cityNo = areaNo;
        this.cityName = areaName;
        this.yy = 0;
        this.bg = 0;
        this.tx = 0;
        this.qt = 0;
        this.zj = 0;
        this.children = new ArrayList<>();
    }

    public void update(RentInUseStatPo po) {
        this.yy = this.yy + po.yy;
        this.bg = this.bg + po.bg;
        this.tx = this.tx + po.tx;
        this.qt = this.qt + po.qt;
        this.zj = this.zj + po.zj;
        this.children.add(po);
    }
}
