package com.example.pojo.vo;

import com.example.pojo.po.house.RentInMonthPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;

@NoArgsConstructor
@Data
public class ListRentInContractVo {
    @Schema(description = "导入时间")
    private LocalDateTime importTime;
    @Schema(description = "房屋所有权人属性")
    private String ownershipOTheProperty;
    @Schema(description = "租入房屋名称")
    private String theNameOfTheRentedProperty;
    @Schema(description = "租入形式")
    private String formOfLease;
    @Schema(description = "标准地址一级")
    private String standardAddressLevel_1;
    @Schema(description = "标准地址二级")
    private String standardAddressLevel_2;
    @Schema(description = "标准地址三级")
    private String standardAddressLevel_3;
    @Schema(description = "街路村门牌号")
    private String houseNumber;
    @Schema(description = "城市区域")
    private String cityArea;
    @Schema(description = "地段")
    private String district;
    @Schema(description = "经度")
    private BigDecimal buildingLongitude;
    @Schema(description = "纬度")
    private BigDecimal buildingDimension;
    @Schema(description = "租入建筑面积")
    private BigDecimal rentalBuildingArea;
    @Schema(description = "租入使用面积")
    private BigDecimal rentalUsableArea;
    @Schema(description = "投资主体")
    private String investmentEntities;
    @Schema(description = "使用单位层级")
    private String useTheUnitsHierarchy;
    @Schema(description = "使用单位隶属的省级公司")
    private String province;
    @Schema(description = "使用单位隶属的地市级公司")
    private String city;
    @Schema(description = "使用单位隶属的区县级公司")
    private String county;
    @Schema(description = "使用专业线")
    private String useTheProLine;
    @Schema(description = "租入实际用途")
    private String leaseInPracticalUse;
    @Schema(description = "租入其他用途说明")
    private String descriptionOfOtherUsesOfTheLease;
    @Schema(description = "自用建筑面积")
    private BigDecimal selfUseBuildingArea;
    @Schema(description = "转租建筑面积")
    private BigDecimal subleaseBuildingArea;
    @Schema(description = "首次租用时间")
    private String firstHireTime;
//    @Schema(description = "使用部门")
//    private String useDepartments;
//    @Schema(description = "联系人")
//    private String contacts;
    @Schema(description = "联系电话")
    private String contactNumber;
//    @Schema(description = "月租金(不含税)(元)")
//    private BigDecimal totalMonthlyRent;
    @Schema(description = "合同编号")
    private String contractNumber;
    @Schema(description = "合同名称")
    private String contractName;
    @Schema(description = "合同类型")
    private String contractType;
    @Schema(description = "签订时间")
    private LocalDate signTime;
    @Schema(description = "我方签约主体")
    private String ourContractingEntity;
    @Schema(description = "出租方名称")
    private String lessorName;
    @Schema(description = "合同总金额(含税)(元)")
    private BigDecimal contractAmountIncludingTax;
    @Schema(description = "增值税金额(元)")
    private BigDecimal valueAddedTaxAmount;
    @Schema(description = "租入开始时间")
    private LocalDate effectiveTimeOfContract;
    @Schema(description = "租入终止时间")
    private LocalDate terminationTimeOfContract;
    @Schema(description = "承办部门")
    private String undertakingDepartment;
//    @Schema(description = "自用面积（使用）")
//    private BigDecimal selfUseArea;
//    @Schema(description = "闲置面积（使用）")
//    private BigDecimal idleUseArea;
//    @Schema(description = "出租面积（使用）")
//    private BigDecimal rentalUseArea;
//    @Schema(description = "不可使用面积（使用）")
//    private BigDecimal unusableUseArea;

    public ListRentInContractVo(RentInMonthPo po) {
        this.importTime = po.getImportTime();
        this.ownershipOTheProperty = po.getOwnerType();
        this.theNameOfTheRentedProperty = po.getHouseName();
        this.formOfLease = po.getRentType();
        this.standardAddressLevel_1 = po.getFirstAddress();
        this.standardAddressLevel_2 = po.getSecondAddress();
        this.standardAddressLevel_3 = po.getThirdAddress();
        this.houseNumber = po.getFourthAddress();
        this.cityArea = po.getCityRegion();
        this.district = po.getAreaSector();
        this.buildingLongitude = po.getLng();
        this.buildingDimension = po.getLat();
        this.rentalBuildingArea = po.getBuildingArea();
        this.rentalUsableArea = po.getUsableArea();
        this.investmentEntities = po.getInvestor();
        this.useTheUnitsHierarchy = po.getUnitLevel();
        this.province = po.getFirstUnit();
        this.city = po.getAreaName();
        this.county = po.getCityName();
        this.useTheProLine = po.getField();
        this.leaseInPracticalUse = po.getUseType();
        this.descriptionOfOtherUsesOfTheLease = po.getUseDescription();
        this.selfUseBuildingArea = po.getBuildingAreaSelfUse();
        this.subleaseBuildingArea = po.getBuildingAreaSublet();
        this.firstHireTime = po.getFirstRentDate();
        this.contactNumber = po.getPhone();
        this.contractNumber = po.getContractNo();
        this.contractName = po.getContractName();
        this.contractType = po.getContractType();
        this.signTime = po.getSignDate();
        this.ourContractingEntity = po.getLessee();
        this.lessorName = po.getLessor();
        this.contractAmountIncludingTax = po.getGrossAmount();
        this.valueAddedTaxAmount = po.getVat();
        this.effectiveTimeOfContract = po.getRentStartDate();
        this.terminationTimeOfContract = po.getRentEndDate();
        this.undertakingDepartment = po.getUndertakingDepartment();
    }
}
