package com.example.pojo.vo;

import com.example.pojo.po.house.RentInMonthPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@NoArgsConstructor
@Data
public class ListRentInTopVo {
    @Schema(description = "使用单位隶属的省级公司")
    private String province;
    @Schema(description = "使用单位隶属的地市级公司")
    private String city;
    @Schema(description = "使用单位隶属的区县级公司")
    private String county;
    @Schema(description = "使用专业线")
    private String useTheProLine;
    @Schema(description = "租入实际用途")
    private String leaseInPracticalUse;
    @Schema(description = "租入其他用途说明")
    private String descriptionOfOtherUsesOfTheLease;
    @Schema(description = "城市区域")
    private String cityArea;
    @Schema(description = "地段")
    private String district;
    @Schema(description = "合同总金额(含税)(元)")
    private BigDecimal contractAmountIncludingTax;
    @Schema(description = "租入建筑面积")
    private BigDecimal rentalBuildingArea;
    @Schema(description = "租期")
    private BigDecimal hireTime;
    @Schema(description = "每平米月租金")
    private BigDecimal totalMonthlyRent;
    @Schema(description = "合同编号")
    private String contractNumber;
    @Schema(description = "合同名称")
    private String contractName;

    public ListRentInTopVo(RentInMonthPo po) {
        this.province = po.getFirstUnit();
        this.city = po.getAreaName();
        this.county = po.getCityName();
        this.useTheProLine = po.getField();
        this.leaseInPracticalUse = po.getUseType();
        this.descriptionOfOtherUsesOfTheLease = po.getUseDescription();
        this.cityArea = po.getCityRegion();
        this.district = po.getAreaSector();
        this.contractAmountIncludingTax = po.getGrossAmount();
        this.rentalBuildingArea = po.getBuildingArea();
        this.hireTime = po.getRentYears();
        this.totalMonthlyRent = po.getUnitPrice2();
        this.contractNumber = po.getContractNo();
        this.contractName = po.getContractName();
    }
}
