package com.example.pojo.vo;

import com.example.pojo.po.house.RentInContractStatPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

@NoArgsConstructor
@Data
public class RentInContractStatVo {
    @Schema(description = "单位")
    private String standardAddressLevel2;
    @Schema(description = "租入合同数量")
    private Integer leaInContracQuantity;
    @Schema(description = "合同年金额")
    private BigDecimal totalContrAmount;
    @Schema(description = "每平米单价")
    private BigDecimal unitPricePerSquareMeter;
    @Schema(description = "营业面积")
    private BigDecimal businessAreaSquaMete;
    @Schema(description = "办公面积")
    private BigDecimal officeAreaSquaMete;
    @Schema(description = "通信机房面积")
    private BigDecimal communicationRoomAreaSquaMete;
    @Schema(description = "其他用途面积")
    private BigDecimal otherUsageAreaSquaMete;
    @Schema(description = "总计面积")
    private BigDecimal totalAreaSquaMete;
    @Schema(description = "是否变色")
    private Boolean flag;
    @Schema(description = "子列表")
    private List<RentInContractStatVo> children;

    public RentInContractStatVo(RentInContractStatPo po, Boolean flag) {
        this.standardAddressLevel2 = po.getCityName();
        this.leaInContracQuantity = po.getTotal();
        this.totalContrAmount = po.getGrossAmountYear();
        this.unitPricePerSquareMeter = po.getUnitPriceAvg();
        this.businessAreaSquaMete = po.getYy();
        this.officeAreaSquaMete = po.getBg();
        this.communicationRoomAreaSquaMete = po.getTx();
        this.otherUsageAreaSquaMete = po.getQt();
        this.totalAreaSquaMete = po.getZj();
        this.flag = flag;
        this.children = new ArrayList<>();
        List<RentInContractStatPo> list = po.getChildren();
        int size = list.size();
        for (int i = 0; i < size; i++) {
            RentInContractStatPo t = list.get(i);
            this.children.add(new RentInContractStatVo(t, flag == (i % 2 != 0)));
        }
    }
}
