package com.example.pojo.vo;

import com.example.pojo.po.house.RentInUseStatPo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

@NoArgsConstructor
@Data
public class RentInUseStatVo {
    @Schema(description = "单位")
    private String city;
    @Schema(description = "营业")
    private Integer yingYe;
    @Schema(description = "办公")
    private Integer banGong;
    @Schema(description = "通信机房")
    private Integer tongXin;
    @Schema(description = "其他用途")
    private Integer other;
    @Schema(description = "总计")
    private Integer all;
    @Schema(description = "是否变色")
    private Boolean flag;
    @Schema(description = "子列表")
    private List<RentInUseStatVo> children;

    public RentInUseStatVo(RentInUseStatPo po, Boolean flag) {
        this.city = po.getCityName();
        this.yingYe = po.getYy();
        this.banGong = po.getBg();
        this.tongXin = po.getTx();
        this.other = po.getQt();
        this.all = po.getZj();
        this.flag = flag;
        this.children = new ArrayList<>();
        List<RentInUseStatPo> list = po.getChildren();
        int size = list.size();
        for (int i = 0; i < size; i++) {
            RentInUseStatPo t = list.get(i);
            this.children.add(new RentInUseStatVo(t, flag == (i % 2 != 0)));
        }
    }
}
