package com.example.pojo.vo;

import com.example.pojo.bo.ScoreRankingBo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.List;

@NoArgsConstructor
@Data
public class ScoreRankingVo {
    @Schema(description = "单位")
    private String city;
    @Schema(description = "闲置率")
    private BigDecimal idleRate;
    @Schema(description = "可出租率")
    private BigDecimal rAbleRate;
    @Schema(description = "出租欠费率")
    private BigDecimal rArrearsRate;
    @Schema(description = "每平米单价")
    private BigDecimal unitPricePerSquareMeter;
    @Schema(description = "大于万元零星维修次数")
    private Integer dailyNum;
    @Schema(description = "高频维修建筑数")
    private Integer highNum;
    @Schema(description = "总分")
    private BigDecimal score;
    @Schema(description = "排名")
    private Integer ranking;
    @Schema(description = "子列表")
    private List<ScoreRankingVo> children;

    public ScoreRankingVo(ScoreRankingBo bo) {
        this.city = bo.getAreaName();
        this.idleRate = bo.getXzl().multiply(new BigDecimal("100"));
        this.rAbleRate = bo.getKczl().multiply(new BigDecimal("100"));
        this.rArrearsRate = bo.getCzqfl().multiply(new BigDecimal("100"));
        this.unitPricePerSquareMeter = bo.getCzdj();
        this.dailyNum = bo.getWylxwx();
        this.highNum = bo.getGpwxjz();
        this.score = bo.getZf();
        this.ranking = bo.getPm();
    }
}
